function SetAppSettingValue([string]$configPath, [string]$key, [string]$value) {
	Write-Host "Sets app-setting '$key' to '$value'"
	$doc = New-Object System.Xml.XmlDocument
	$doc.Load($configPath)
	$appSettings = $doc.SelectSingleNode('configuration/appSettings')
	$node = $appSettings.SelectSingleNode('add[@key="' + $key + '"]')
	if ($node -eq $null) {
		$node = $appSettings.OwnerDocument.CreateElement("add")
		[void]$appSettings.AppendChild($node)
		$node.SetAttribute("key", $key)
	}
	$node.SetAttribute("value", $value)
	$doc.Save($configPath)
}

function DisableSysSettingsFeatures ([string]$webRootDirectory) {
	SetAppSettingValue ($webRootDirectory + "\Web.config") "Feature-UseSysSettingsEngine" "false"
	SetAppSettingValue ($webRootDirectory + "\Terrasoft.WebApp\Web.config") "Feature-UseSysSettingsEngine" "false"
	SetAppSettingValue ($webRootDirectory + "\Terrasoft.WebApp\Web.config") "Feature-EnableSysSettingsRightsEngine" "false"
}