﻿IF (SELECT TOP (1) 1 FROM SysLic) IS NULL
	RETURN;

IF OBJECT_ID('TRFreezeSysModuleEntity') IS NOT NULL
	DROP TRIGGER TRFreezeSysModuleEntity;

DECLARE @CreateTrigger NVARCHAR(MAX) =
'CREATE TRIGGER TRFreezeSysModuleEntity ON SysModuleEntity
FOR UPDATE
AS 
BEGIN
	SET NOCOUNT ON;

	IF (SELECT TRIGGER_NESTLEVEL()) > 1
		RETURN;

	DECLARE @Id UNIQUEIDENTIFIER;
	DECLARE @TypeColumnUId UNIQUEIDENTIFIER;

	SELECT
		@Id = Id,
		@TypeColumnUId = TypeColumnUId
	FROM DELETED;

	IF UPDATE(TypeColumnUId)
	BEGIN
		PRINT ''Rollback changes for SysModuleEntity: Id = {'' + CAST(@Id AS NVARCHAR(MAX)) + ''}; TypeColumnUId = {'' + CAST(@TypeColumnUId AS NVARCHAR(MAX)) + ''}'';
		UPDATE SysModuleEntity
		SET TypeColumnUId = @TypeColumnUId
		WHERE Id = @Id;
    END
END';
EXEC(@CreateTrigger);