﻿-- prepare LookupData
IF (SELECT TOP (1) 1 FROM SysLic) IS NULL
	RETURN;

DECLARE @Cmd NVARCHAR(MAX);

-- Убрать со списка записи, которые были до обновления
-- (то есть, оставить записи, которые удалили до обновления)
DECLARE @DeleteRecordCmdTemplate NVARCHAR(MAX) =
'DELETE FROM dlv_LookupData
WHERE RecordId IN (SELECT Id FROM [##TableName##])
	AND TableName = ''##TableName##'';';

-- Пометить таблицу как обработанную
-- TODO: переписать на курсор
DECLARE @UpdateCmdTemplate NVARCHAR(MAX) =
'UPDATE dlv_LookupData
SET Status = ''Ready''
WHERE TableName = ''##TableName##'';';

DECLARE @TableName NVARCHAR(250);

WHILE EXISTS (SELECT TOP (1) 1 FROM dlv_LookupData WHERE Status IS NULL)
BEGIN
	SELECT TOP (1)
		@TableName = TableName
	FROM dlv_LookupData
	WHERE Status IS NULL;
	PRINT QUOTENAME(@TableName);

	SET @Cmd = REPLACE(@DeleteRecordCmdTemplate, '##TableName##', @TableName);
	EXEC dlv.tsp_Execute @Cmd, 1;

	SET @Cmd = REPLACE(@UpdateCmdTemplate, '##TableName##', @TableName);
	EXEC dlv.tsp_Execute @Cmd, 1;
END;